Tool
realtime_presence_enter
Enter presence on a realtime channel; upserts the caller (or member_id) into the roster
Enter presence on a realtime channel; upserts the caller (or member_id) into the roster
Behavior
- HTTP
POST /realtime/presence/enter
Arguments
Name | Type | Required | Description |
|---|---|---|---|
info | string | — | Arbitrary JSON metadata for the member (<=10KB serialized) |
channel | string | • | Channel name, "namespace:rest" |
member_id | string | — | Act for a synthetic member id instead of the caller identity (backend integrations) |
ttl_seconds | integer | — | Presence entry TTL in seconds (1-3600) |
Response
Field | Type | Always | Description |
|---|---|---|---|
member | object | • | The entered/updated member |
channel | string | • | Channel name |
Try it
Enter presence on a realtime channel; upserts the caller (or member_id) into the roster.